@import url('https://fonts.googleapis.com/css2?family=Quicksand&display=swap');

* {
    box-sizing: border-box;
    transition: all 0.2s ease-in-out;
}

body {
    margin: 0px;
    font-family: 'Quicksand', sans-serif;
    font-size: 1.5rem;
    background: #331E36;
    
}

img {
    width: 2rem;
    height: 2rem;
    filter: brightness(0) invert(1);
}

p {
    margin: 0.5rem;
}

hr {
    border-color: darkseagreen;
}

.container {
    min-height: 100vh;
    display: grid;
    grid-template: 1fr 7fr / minmax(25rem, 1fr) 4fr;
    gap: 1rem;
    padding: 15px;
}

.heading {
    font-size: 2rem;
    font-weight: 700;
    color: #6fffed;
    text-align: center;
}

.side-dash {
    grid-row: 1 / 3;
    border-radius: 25px;
    background-color: #5D576B;
    color: white;

    display: flex;
    flex-flow: column wrap;
    padding: 1rem 2rem;
    gap: 2rem;
    position: fixed;
    min-height: -webkit-fill-available;
    margin-bottom: 15px;
}

.dash-logo > img, .logo {
    width: 3rem;
    height: 3rem;
    filter: none;
}

.userPrefs > p, .settings >p, .dash-logo{
    display: flex;
    gap: 0.8rem;
    align-items: center;
}

.userPrefs > p:hover, .settings > p:hover {
    color: #DC965A !important;
}

.header {
    background-color: #0D0106;
    border-radius: 20px;
    padding: 0.5rem 2rem;
    grid-column: 2 / 3;
    
    display: grid;
    gap: 1rem;
}

.HUpper {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
}

.HUpper > div {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    gap: 2rem;
}

.searchBar {
    margin-left: 2rem;
    width: 40rem;
    height: 2rem;
    background-color:#EDFFEC;
    border-radius: 25px;
}

.HLower {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: center;
    color: white;
}

.welcome {
    display: flex;
    flex-flow: row wrap;
    gap: 1rem;
    align-items: center;
}

.big-logo {
    height: 5rem;
    width: 5rem;
    filter: none;
}

.btns {    
    display: flex;
    flex-flow: row wrap;
    gap: 1rem;
}

.btns > button {
    width: 10rem;
    height: 3rem;
    font-family: inherit;
    font-size: inherit;
    color: inherit;
    border-radius: 20px;
    background-color: #5D576B;
    border: none;
}

.btns > button:hover {
    background-color: #7EA16B;
}

.activities {
    display: grid;
    grid-template-columns: 3fr 1fr;
    gap: 1.5rem;
    grid-column: 2 / 3;
    align-items: start;
}

.announce {
    align-self: start;
    position: sticky;
    top: 0.5rem;
}

.menus{
    display: grid;
    gap: 1rem;
    font-size:large;
}

.menus > div{
    background-color: #E0DFD5; 
    border-radius: 25px;
    padding: 1.5rem;

    box-shadow: 5px 5px 5px rgba(202, 0, 0, 0.3);
}

.trending {
    display: grid;
    gap: 1.5rem;
}

.trends {
    display: grid;

    grid-template-columns: 1fr 3fr;
    align-items: center;
    gap: 1rem;
}

.trend-logo {
    height: 4rem;
    width: 4rem;
    filter: none;
}

.trend-logo:hover {
    scale: 1.2;
}

.projects {
    display: grid;
    grid-template: 1fr 1fr 1fr / repeat(auto-fill, minmax(10rem, 20rem));
    gap: 1.5rem;
}

.pjt {
    background-color: #E6AF2E;
    border-radius: 20px;
    padding: 1.5rem;
}

.pjt:hover {
    scale:1.05
}

.pjt > p {
    text-align: center;
    font-size: 2rem;
    font-weight: 700;
}